/**
 * @author SrinivasJasti
 * 
 */
package org.srinivas.siteworks;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.ViewResolver;
import org.springframework.web.servlet.config.annotation.DefaultServletHandlerConfigurer;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;
import org.springframework.web.servlet.view.InternalResourceViewResolver;


/**
 * The Class MvcContextConfiguration.
 */
@Configuration
@EnableWebMvc
@ComponentScan(basePackages = { "org.srinivas.siteworks" })
public class MvcContextConfiguration extends WebMvcConfigurerAdapter {
	
	private static final Logger logger = LoggerFactory.getLogger(MvcContextConfiguration.class);

	@Bean
	public ViewResolver viewResolver() {
		logger.info("MvcContextConfiguration viewResolver Bean Creation");
		InternalResourceViewResolver viewResolver = new InternalResourceViewResolver();
		viewResolver.setOrder(1);
		viewResolver.setPrefix("/WEB-INF/displays/");
		viewResolver.setSuffix(".jsp");
		return viewResolver;
	}
	 
	@Override
	public void configureDefaultServletHandling(final DefaultServletHandlerConfigurer configurer) {
		configurer.enable();
	}
}
